BmpTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.entity.BmpTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.entity
Class BmpTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.entity.EntityTagsHandler
                      xdoclet.modules.ejb.entity.BmpTagsHandler

public class BmpTagsHandler
extends EntityTagsHandler

Version:
  $Revision: 1.8 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbBmp"
created
  Oct 16, 2001

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`BmpTagsHandler()`

Method Summary
`String` | `entityBmpClass()` Returns the name of generated BMP class.
`void` | `forAllBmpEntityBeans(String template)` Evaluates the body block for each EJBean derived from EntityBean which is BMP.
`static String` | `getEntityBmpClassFor(xjavadoc.XClass clazz)` Gets the EntityBmpClassFor attribute of the BmpTagsHandler class
`protected static String` | `getEntityBmpClassPattern()` Gets the EntityBmpClassPattern attribute of the BmpTagsHandler class
`void` | `ifEntityIsBmp(String template)` Evaluates the body block if current class is an BMP entity bean.
`void` | `ifUseSoftLocking(String template)` Evaluates the body block if ejb:use-soft-locking is set for current class.
`static boolean` | `isEntityBmp(xjavadoc.XClass clazz)` Returns true if clazz is an BMP entity bean, false otherwise.
`static boolean` | `useSoftLocking(xjavadoc.XClass clazz)` Returns true if clazz has ejb:use-soft-locking tag, false otherwise.

Methods inherited from class xdoclet.modules.ejb.entity.EntityTagsHandler
`forAllEjbSelectMethods, forAllEntityBeans, ifEntity, isEjbSelectMethod, isEntity, persistenceType, reentrant`

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BmpTagsHandler

    public BmpTagsHandler()

Method Detail

### getEntityBmpClassFor

    public static String getEntityBmpClassFor(xjavadoc.XClass clazz)
                                       throws XDocletException

  Gets the EntityBmpClassFor attribute of the BmpTagsHandler class

  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The EntityBmpClassFor value
  Throws:
    `XDocletException`

### isEntityBmp

    public static boolean isEntityBmp(xjavadoc.XClass clazz)
                               throws XDocletException

  Returns true if clazz is an BMP entity bean, false otherwise. Entity type is determined by looking at the ejb:bean's type parameter.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The EntityBmp value
  Throws:
    `XDocletException`

### useSoftLocking

    public static boolean useSoftLocking(xjavadoc.XClass clazz)

  Returns true if clazz has ejb:use-soft-locking tag, false otherwise.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    Description of the Returned Value

### getEntityBmpClassPattern

    protected static String getEntityBmpClassPattern()

  Gets the EntityBmpClassPattern attribute of the BmpTagsHandler class

  Returns:
    The EntityBmpClassPattern value

### entityBmpClass

    public String entityBmpClass()
                          throws XDocletException

  Returns the name of generated BMP class.

  Returns:
    The name of generated BMP class.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### ifEntityIsBmp

    public void ifEntityIsBmp(String template)
                       throws XDocletException

  Evaluates the body block if current class is an BMP entity bean.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### forAllBmpEntityBeans

    public void forAllBmpEntityBeans(String template)
                              throws XDocletException

  Evaluates the body block for each EJBean derived from EntityBean which is BMP.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isEntityBmp(xjavadoc.XClass)`
  doc.tag
    type="block"

### ifUseSoftLocking

    public void ifUseSoftLocking(String template)
                          throws XDocletException

  Evaluates the body block if ejb:use-soft-locking is set for current class.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `useSoftLocking(xjavadoc.XClass)`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD